# ~/.bashrc: executed by bash(1) for non-login shells.
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples

case $- in
*i*) ;;
*) return ;;
esac

GREEN="$(tput setaf 2)"
BLUE="$(tput setaf 4)"
WHITE="$(tput setaf 7)"
BOLD="$(tput bold)"
RESET="$(tput sgr0)"

function parse_git_branch() {
    git_branch=$(git rev-parse --abbrev-ref HEAD 2>/dev/null)
    if [ -z "$git_branch" ]; then
        echo ""
    else
        echo " ${WHITE}${BOLD}$git_branch${RESET}"
    fi
}

HISTCONTROL=ignoreboth
shopt -s histappend

export HISTFILE=~/.bash_history
export HISTSIZE=100
export HISTFILESIZE=200

shopt -s histappend

export HISTCONTROL=ignoredups:erasedups
export HISTIGNORE="ls:bg:fg:history"

if [ ! -f "$HISTFILE" ]; then
    touch "$HISTFILE"
    chmod 600 "$HISTFILE"
fi

PROMPT_COMMAND="history -a; history -c; history -r; $PROMPT_COMMAND"
shopt -s checkwinsize

if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
    debian_chroot=$(cat /etc/debian_chroot)
fi

case "$TERM" in
xterm-color | *-256color) color_prompt=yes ;;
esac

if [ -n "$force_color_prompt" ]; then
    if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then
        color_prompt=yes
    else
        color_prompt=
    fi
fi

if [ "$color_prompt" = yes ]; then
    PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]$(parse_git_branch) $ '
else
    PS1='${debian_chroot:+($debian_chroot)}\u:\w$(parse_git_branch) $ '
fi
unset color_prompt force_color_prompt

case "$TERM" in
xterm* | rxvt*)
    PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u: \w\a\]$PS1"
    ;;
*) ;;
esac

if [ -x /usr/bin/dircolors ]; then
    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
    alias ls='ls --color=auto'
fi


alias ll='ls -laF'
alias code='/root/code-server/bin/code-server'

if [ -f ~/.bash_aliases ]; then
    . ~/.bash_aliases
fi

if ! shopt -oq posix; then
    if [ -f /usr/share/bash-completion/bash_completion ]; then
        . /usr/share/bash-completion/bash_completion
    elif [ -f /etc/bash_completion ]; then
        . /etc/bash_completion
    fi
fi

if [ -d "$HOME/.local/bin" ]; then
    export PATH="$HOME/.local/bin:$PATH"
fi